Package org.apache.sling.commons.json

# Class JSONException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.commons.json.JSONException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class JSONException extends RuntimeException
Deprecated.
The JSONException is thrown by the JSON.org classes when things are amiss.

Version:
  2015-12-09
Author:
  JSON.org
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSONException(String message)`
Deprecated.
Constructs a JSONException with an explanatory message.
`JSONException(String message, Throwable cause)`
Deprecated.
Constructs a JSONException with an explanatory message and cause.
`JSONException(Throwable cause)`
Deprecated.
Constructs a new JSONException with the specified cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JSONException

public JSONException(String message)
Deprecated.
Constructs a JSONException with an explanatory message.

Parameters:
  `message` - Detail about the reason for the exception.

### JSONException

public JSONException(String message, Throwable cause)
Deprecated.
Constructs a JSONException with an explanatory message and cause.

Parameters:
  `message` - Detail about the reason for the exception.
  `cause` - The cause.

### JSONException

public JSONException(Throwable cause)
Deprecated.
Constructs a new JSONException with the specified cause.

Parameters:
  `cause` - The cause.